Package be.fgov.ehealth.dics.protocol.v4

# Class ConsultReimbursementTermType

java.lang.Object
be.fgov.ehealth.dics.core.v4.reimbursementlaw.submit.ReimbursementTermKeyType
be.fgov.ehealth.dics.protocol.v4.ConsultReimbursementTermType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:17:33+02:00", comments="JAXB RI v4.0.5") public class ConsultReimbursementTermType extends ReimbursementTermKeyType implements Serializable

Java class for ConsultReimbursementTermType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ConsultReimbursementTermType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:dics:core:v4:reimbursementlaw:submit}ReimbursementTermKeyType">
           <sequence>
             <element name="ValueUnit" type="{urn:be:fgov:ehealth:dics:core:v4:reimbursementlaw:submit}ParameterValueType"/>
             <element name="ParameterName" type="{http://www.w3.org/2001/XMLSchema}string"/>
           </sequence>
           <attGroup ref="{urn:be:fgov:ehealth:dics:protocol:v4}validityPeriod"/>
         </extension>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConsultReimbursementTermType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Instant`
  `getEndDate()`
  Gets the value of the endDate property.
  `String`
  `getParameterName()`
  Gets the value of the parameterName property.
  `Instant`
  `getStartDate()`
  Gets the value of the startDate property.
  `ParameterValueType`
  `getValueUnit()`
  Gets the value of the valueUnit property.
  `void`
  `setEndDate(Instant value)`
  Sets the value of the endDate property.
  `void`
  `setParameterName(String value)`
  Sets the value of the parameterName property.
  `void`
  `setStartDate(Instant value)`
  Sets the value of the startDate property.
  `void`
  `setValueUnit(ParameterValueType value)`
  Sets the value of the valueUnit property.

  ### Methods inherited from class be.fgov.ehealth.dics.core.v4.reimbursementlaw.submit.ReimbursementTermKeyType

  `getSequenceNr, setSequenceNr`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ConsultReimbursementTermType

    public ConsultReimbursementTermType()

- ## Method Details

  - ### getValueUnit

    public ParameterValueType getValueUnit()
    Gets the value of the valueUnit property.
    Returns:
      possible object is `ParameterValueType`

  - ### setValueUnit

    public void setValueUnit(ParameterValueType value)
    Sets the value of the valueUnit property.
    Parameters:
      `value` - allowed object is `ParameterValueType`

  - ### getParameterName

    public String getParameterName()
    Gets the value of the parameterName property.
    Returns:
      possible object is `String`

  - ### setParameterName

    public void setParameterName(String value)
    Sets the value of the parameterName property.
    Parameters:
      `value` - allowed object is `String`

  - ### getStartDate

    public Instant getStartDate()
    Gets the value of the startDate property.
    Returns:
      possible object is `String`

  - ### setStartDate

    public void setStartDate(Instant value)
    Sets the value of the startDate property.
    Parameters:
      `value` - allowed object is `String`

  - ### getEndDate

    public Instant getEndDate()
    Gets the value of the endDate property.
    Returns:
      possible object is `String`

  - ### setEndDate

    public void setEndDate(Instant value)
    Sets the value of the endDate property.
    Parameters:
      `value` - allowed object is `String`